Bug 625744 - [abrt] evince-2.30.3-1.fc13: raise: Process /usr/bin/evince was killed by signal 6 (SIGABRT)
[abrt] evince-2.30.3-1.fc13: raise: Process /usr/bin/evince was killed by sig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:59b336331ae1a3b9f9a1c787c4c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 06:33 EDT by Gerhard
Modified: 2011-07-12 18:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: poppler-0.14.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 18:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.27 KB, text/plain)
2010-08-20 06:33 EDT, Gerhard
no flags Details

  None (edit)
Description Gerhard 2010-08-20 06:33:50 EDT
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: evince file:///tmp/epson88v.pdf
component: evince
crash_function: raise
executable: /usr/bin/evince
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: evince-2.30.3-1.fc13
rating: 4
reason: Process /usr/bin/evince was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1282300259
uid: 500

How to reproduce
-----
1. Try to open 'http://www.digimex.at/pub/epson88v.pdf' with firefox -> Crash
Comment 1 Gerhard 2010-08-20 06:33:53 EDT
Created an attachment (id=439901)
File: backtrace
Comment 2 Marek Kašík 2010-11-23 12:20:40 EST
Hi,

I've found out that the problem is on the 3721st line of the PDF. There is "574 0 obj<</ShadingType 2/ColorSpace 402 0 R/BBox[-1000000015047466200000000000000 -1000000015047466200000000000000 1000000015047466200000000000000 1000000015047466200000000000000]/Function 810 0 R/Coords[0 0 1 0]/Extend[true true]>>".
Those BBox coordinates are stored as objError types but getNum() expects objInt or objReal types. The abort() is a reaction of poppler to this situation.

Regards

Marek
Comment 3 Bug Zapper 2011-06-01 07:03:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2011-06-22 04:52:09 EDT
poppler-0.14.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/poppler-0.14.5-3.fc14
Comment 5 Fedora Update System 2011-06-23 23:34:33 EDT
Package poppler-0.14.5-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing poppler-0.14.5-3.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/poppler-0.14.5-3.fc14
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-07-12 18:01:58 EDT
poppler-0.14.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.